summaryrefslogtreecommitdiff
path: root/eclass/toolchain.eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2023-06-17 19:45:55 +0100
committerV3n3RiX <venerix@koprulu.sector>2023-06-17 19:45:55 +0100
commit59fb6ea4eff116f078307a57217645762b78aba7 (patch)
treebc4b009c0fb67e5716ad01ba8306a486fe4744ed /eclass/toolchain.eclass
parent197f0639ca0a63b397552e059e2a992d39e09e55 (diff)
gentoo auto-resync : 17:06:2023 - 19:45:55
Diffstat (limited to 'eclass/toolchain.eclass')
-rw-r--r--eclass/toolchain.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index 3013e5c9aeca..51b28b380584 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1687,8 +1687,8 @@ gcc_do_make() {
if ! is_crosscompile && _tc_use_if_iuse cxx && _tc_use_if_iuse doc ; then
if type -p doxygen > /dev/null ; then
- cd "${CTARGET}"/libstdc++-v3/doc
- emake -C "${CTARGET}"/libstdc++-v3/doc doc-man-doxygen
+ cd "${CTARGET}"/libstdc++-v3/doc || die
+ emake doc-man-doxygen
# Clean bogus manpages. bug #113902
find -name '*_build_*' -delete